## org.jCharts.axisChart.axis
Class LabelAxis

    java.lang.Object
      org.jCharts.axisChart.axis.Axis
          org.jCharts.axisChart.axis.LabelAxis

All Implemented Interfaces:
  Serializable, HTMLTestable

Deprecated. just using the Axis Object

    public class LabelAxis

extends Axis
implements HTMLTestable

See Also:
  Serialized Form

Constructor Summary
`LabelAxis(AxisChart axisChart)` Deprecated. this class is no longer used

Method Summary
`protected void` `addTextTags()` Deprecated. Add the scale labels.
`protected boolean` `amDataAxis()` Deprecated.
`protected boolean` `amLabelAxis()` Deprecated.
`protected void` `render(Graphics2D graphics2D, IDataSeries iDataSeries)` Deprecated. Renders the axis on the passed Graphics2D object
`void` `toHTML(HTMLGenerator htmlGenerator)` Deprecated. Enables the testing routines to display the contents of this Object.

Methods inherited from class org.jCharts.axisChart.axis.Axis

`computeAxisTitleDimensions, computeOneUnitPixelSize, computeScalePixelWidth, computeScalePixelWidthDataAxis, getAxisChart, getAxisLabelsGroup, getMinimumHeightNeeded, getMinimumWidthNeeded, getNumberOfScaleItems, getOneUnitPixelSize, getOrigin, getPixelLength, getScaleCalculator, getScalePixelWidth, getTickStart, getTitleHeight, getTitleWidth, getZeroLineCoordinate, setAxisLabelsGroup, setMinimumHeightNeeded, setMinimumWidthNeeded, setOneUnitPixelSize, setOrigin, setPixelLength, setScaleCalculator, setScalePixelWidth, setTickStart, setZeroLineCoordinate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelAxis

    public LabelAxis(AxisChart axisChart)

  Deprecated. this class is no longer used

  Parameters:
    `axisChart` -

Method Detail

### amDataAxis

    protected boolean amDataAxis()

  Deprecated.

### amLabelAxis

    protected boolean amLabelAxis()

  Deprecated.

### addTextTags

    protected void addTextTags()

  Deprecated.
  Add the scale labels.

### render

    protected void render(Graphics2D graphics2D,
                          IDataSeries iDataSeries)

  Deprecated.
  Renders the axis on the passed Graphics2D object

  Parameters:
    `graphics2D` -
    `iDataSeries` -

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Deprecated.
  Enables the testing routines to display the contents of this Object.

  Specified by:
    `toHTML` in interface `HTMLTestable`
  Overrides:
    `toHTML` in class `Axis`
  Parameters:
    `htmlGenerator` -